# xs2gif

export graphics to GIF

## Calling Sequence

                xs2gif(win_num, file_name)
                xs2gif(fig, file_name)

## Arguments

win_num

  an integer, ID of the figure to export.

fig

  handle of the figure to export.

file_name

  a string, name of the exported file.

## Description

`xs2gif` exports the display of a graphic window into a GIF file.

To convert a sequence of "GIF" files to an animated GIF file one can use the "convert" program for ImageMagic (http://www.imagemagick.org/)

For example if one has generated a sequence of GIF files named `img*.gif` it is possible to build an animated GIF file (named `img.gif`) by

                convert -delay 10  img*.gif anim.gif

## Examples

    scf(0);
    plot2d();
    //GIF export
    xs2gif(0,'foo.gif');
    xs2gif(gcf(),'foo.gif');

## See Also

- toprint
- printfigure
- xs2bmp
- xs2jpg
- xs2png
- xs2ppm
- xs2eps
- xs2pdf
- xs2svg
- xs2ps
- xs2emf